#version 330

in vec3 position;
in vec3 normal;
in vec2 uv;
out vec3 testo;

uniform mat4 projectionMatrix;
uniform mat4 viewMatrix;
uniform mat4 modelMatrix;

void main(void) {
	gl_Position = projectionMatrix * viewMatrix * modelMatrix * vec4(position, 1.0);

	testo = normal;
}
